@import "variables";

.navbar {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100vw;
    height: 7vh;
    padding: 1rem;

    &.dark {
        box-shadow: inset 0 -1px 0 0 $border-dark;
    }

    &.light {
        box-shadow: inset 0 -1px 0 0 $border-light;
    }

    .info {
        display: flex;
        justify-content: center;
        .sidebar-button {
            cursor: pointer;
            height: 4rem;
            width: 4rem;
            padding: 10px;
            border-radius: 100px;

            @media (max-width: 699px) {
                padding: 5px;
            }

            &.dark {
                &:hover {
                    background-color: $highlight-secondary-dark;
                }
            }

            &.light {
                &:hover {
                    background-color: $highlight-secondary-light;
                }
            }
        }
        .page-name {
            margin-left: 2rem;
            font-size: 3rem;

            @media (max-width: 699px) {
                margin-left: 1rem;
            }
        }
    }

    .theme-selection {
        cursor: pointer;
        .icon {
            height: 4rem;
            width: 4rem;
            padding: 10px;
            border-radius: 100px;

            @media (max-width: 699px) {
                padding: 5px;
            }

            &.dark {
                &:hover {
                    background-color: $highlight-secondary-dark;
                }
            }

            &.light {
                &:hover {
                    background-color: $highlight-secondary-light;
                }
            }
        }
    }
}